zishu

之前用命令行导出一直没问题的,但是今天通过unity启动command导出,突然出现了如下的报错:
微信图片_20201130170543.png

卸载spine重装也不行,但是运行spine软件导出是正常的,我用同事的电脑运行同一个命令也是正常的,可以正常导出。求大佬们帮我看看是什么问题..求拯救!看看我 :(
您没有权限查看这个主题的附件。
zishu
  • 帖子: 5

Mario

抱歉,添麻烦了。 请以文本形式发布完整的spine.log文件。 在找到文件的位置查看此文件:http://zh.esotericsoftware.com/spine-troubleshooting
Sorry for the trouble. Please post your full spine.log file as text. See this on where to find the file: Spine故障排除
头像
Mario

Mario
  • 帖子: 2489

zishu

感谢回复!下面是文本日志:
Spine Launcher 3.8.81
Esoteric Software LLC (C) 2013-2020 | http://esotericsoftware.com
Windows 10 Enterprise x86 10.0
Spine 3.5.51 Professional
Binary export: 吊灯
ERROR: Unable to start: Spine 3.5.51
ERROR: An unexpected error has occurred:
java.lang.NoClassDefFoundError: kP
at kO.a(SourceFile:42)
at kR.run(SourceFile:104)
Caused by: java.lang.ClassNotFoundException: kP
at java.base/java.net.URLClassLoader.findClass(Unknown Source)
at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
at java.base/java.lang.ClassLoader.loadClass(Unknown Source)
... 2 more
zishu
  • 帖子: 5

Mario

请共享用于从Unity调用Spine的命令行。
Please share the command line you use to invoke Spine from Unity.
头像
Mario

Mario
  • 帖子: 2489

zishu

"C:/Program Files (x86)/Spine/Spine.com" -i "D:\Spine\活动动画\场景动画\吊灯.spine" -o "D:/Export/Original/活动动画/" -e D:/Export/Configs/export_config.json
zishu
  • 帖子: 5

Nate

Did you save the export_config.json file from 3.5.51? If you save it from a newer version of Spine, 3.5.51 may not be able to read it.
你是否保存了3.5.51中的export_config.json文件?如果你从较新版本的Spine中保存,3.5.51可能无法读取它。

I wonder if this is a bug in 3.5.51? That version is quite old. Any chance you can use Spine 3.8?
我想知道这是不是3.5.51中的一个BUG?那个版本已经很老了。你能不能用Spine 3.8?
头像
Nate

Nate
  • 帖子: 10503

zishu

Nate 写道:Did you save the export_config.json file from 3.5.51? If you save it from a newer version of Spine, 3.5.51 may not be able to read it.
你是否保存了3.5.51中的export_config.json文件?如果你从较新版本的Spine中保存,3.5.51可能无法读取它。

I wonder if this is a bug in 3.5.51? That version is quite old. Any chance you can use Spine 3.8?
我想知道这是不是3.5.51中的一个BUG?那个版本已经很老了。你能不能用Spine 3.8?
感谢回复!关于上边您提到的可能我会去核查,但是更换spine版本有点不切实际,因为spine版本是美术组一起在用的,更换版本成本较大,也可能会带来一系列的问题(比如运行库的兼容方面)
zishu
  • 帖子: 5

Aloento

所以我说你们这些开发组一天到晚都在用老版本的Spine也不去更新
Aloento
  • 帖子: 24


回到 中国Spine用户